/* AmiGo Interface.  Started 4/7/88 by Todd R. Johnson */
/* 8/8/89 Cleaned up for first release */
/* Version 1.0 */
/* Public Domain */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include "Goban.h"
#include <stdio.h>

#include "goplayutils.h"
#include "amigo.h"

extern Widget	goban;
extern Widget	black_stat_widgets[5];
extern Widget	white_stat_widgets[5];
extern Widget	message;


extern short	showTrees, playLevel, showMoveReason, groupInfo;
	     

/* Print a stone of color at x, y intersection */
void
placestone(color, x, y)
	enum bVal	color;
	short		x, y;
{
	GbSetPoint(goban,++x,++y,(color==BLACK ? GbBlackStone : GbWhiteStone));
	UpdateWidget(goban);
}

/* Remove a stone from an intersection */
void
removestone(x, y)
	short		x, y;
{
	GbSetPoint(goban,++x,++y,GbEmptyPoint);
	UpdateWidget(goban);
}

/* Report on a move */
void
intrMoveReport(color, coord, reason)
	enum bVal	color;
	char		*coord;
	char		*reason;
{
	XtVaSetValues(message, XtNstring,"", NULL);

	XtVaSetValues((color == BLACK ? black_stat_widgets[4] :
				white_stat_widgets[4]),XtNlabel,coord,0);

	XtVaSetValues(message,XtNstring, (showMoveReason ? reason : ""), NULL);
}

void
intrPrisonerReport(blackcnt, whitecnt)
	short	blackcnt;
	short	whitecnt;
{
	char	val[5];

	sprintf(val,"%d",blackcnt);
	XtVaSetValues(white_stat_widgets[2],XtNlabel,val,0);
	sprintf(val,"%d",whitecnt);
	XtVaSetValues(black_stat_widgets[2],XtNlabel,val,0);
}

#if 0
void intrCredits()
{
	intrPuts( "Player by Stoney Ballard" ); intrPutLn();
	intrPuts( "C port and interface"); intrPutLn();
	intrPuts( "by Todd R. Johnson"); intrPutLn();
	intrPutLn();
	intrPuts( "Use menus to set options." ); intrPutLn();
	intrPuts( "Select the Play menu" ); intrPutLn();
	intrPuts( "item to begin play." );
}
#endif

UpdateWidget(widget)
	Widget	widget;
{
	XEvent	event;


	while (XCheckTypedWindowEvent(XtDisplay(widget),XtWindow(widget),
						Expose,&event))
		XtDispatchEvent(&event);
}
